Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.list
Class FillDatasetRun

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillDatasetRun
          net.sf.jasperreports.components.list.FillDatasetRun

All Implemented Interfaces:
  java.lang.Cloneable, JRCloneable, JRDatasetRun

    public class FillDatasetRun

extends JRFillDatasetRun

Used to iterate on the list subdataset at fill time.

Version:
  $Id: FillDatasetRun.java 3696 2010-04-06 15:53:09Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillDatasetRun
`connectionExpression, dataset, dataSourceExpression, filler, parameters, parametersMapExpression`

Constructor Summary
`FillDatasetRun(JRDatasetRun datasetRun, JRFillObjectFactory factory)`

Method Summary
`void` | `end()`
`void` | `evaluate(byte evaluation)`
`java.lang.Object` | `evaluateDatasetExpression(JRExpression expression, byte evaluationType)`
`boolean` | `next()`
`void` | `rewind()`
`void` | `start()`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillDatasetRun
`checkInterrupted, clone, copyConnectionParameter, detail, evaluate, getConnectionExpression, getDataset, getDatasetName, getDataSourceExpression, getParameters, getParametersMapExpression, group, init, iterate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FillDatasetRun

    public FillDatasetRun(JRDatasetRun datasetRun,
                          JRFillObjectFactory factory)
                   throws JRException

Throws:
  `JRException`

Method Detail

### evaluate

    public void evaluate(byte evaluation)
                  throws JRException

  Throws:
    `JRException`

### start

    public void start()
               throws JRException

  Throws:
    `JRException`

### next

    public boolean next()
                 throws JRException

  Throws:
    `JRException`

### end

    public void end()

### rewind

    public void rewind()
                throws JRException

  Throws:
    `JRException`

### evaluateDatasetExpression

    public java.lang.Object evaluateDatasetExpression(JRExpression expression,
                                                      byte evaluationType)
                                               throws JRException

  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com